> For the complete documentation index, see [llms.txt](https://docs.thehemera.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.thehemera.com/hemera-indexer/data-class/generated-tables/daily-wallet-address-stats.md).

# Daily Wallet Address Stats

The Daily Wallet Address Stats table provides daily statistics for each wallet address. This table is updated on a daily basis and includes information about the number and value of transactions (incoming, outgoing, and self), internal transactions, and token transfers (ERC20, ERC721, and ERC1155) associated with each address.

| Column Name                 | Data Type | Note      |
| --------------------------- | --------- | --------- |
| address                     | str       | length 42 |
| block\_date                 | date      |           |
| txn\_in\_cnt                | int       |           |
| txn\_out\_cnt               | int       |           |
| txn\_self\_cnt              | int       |           |
| txn\_in\_error\_cnt         | int       |           |
| txn\_out\_error\_cnt        | int       |           |
| txn\_self\_error\_cnt       | int       |           |
| txn\_in\_value              | int       |           |
| txn\_out\_value             | int       |           |
| internal\_txn\_in\_cnt      | int       |           |
| internal\_txn\_out\_cnt     | int       |           |
| internal\_txn\_in\_value    | int       |           |
| internal\_txn\_out\_value   | int       |           |
| erc20\_transfer\_in\_cnt    | int       |           |
| erc721\_transfer\_in\_cnt   | int       |           |
| erc1155\_transfer\_in\_cnt  | int       |           |
| erc20\_transfer\_out\_cnt   | int       |           |
| erc721\_transfer\_out\_cnt  | int       |           |
| erc1155\_transfer\_out\_cnt | int       |           |
| internal\_txn\_cnt          | int       |           |
| erc20\_transfer\_cnt        | int       |           |
| erc721\_transfer\_cnt       | int       |           |
| erc1155\_transfer\_cnt      | int       |           |
| txn\_cnt                    | int       |           |

Examples

```json
{
  "address": "0x2821023289920dd815ca1f5adb0a33328afb3bfe",
  "block_date": "2023-10-25",
  "txn_in_cnt": 4,
  "txn_out_cnt": 44,
  "txn_self_cnt": 0,
  "txn_in_error_cnt": 0,
  "txn_out_error_cnt": 1,
  "txn_self_error_cnt": 0,
  "txn_in_value": 45655000000001070,
  "txn_out_value": 49278943858313640,
  "internal_txn_in_cnt": 0,
  "internal_txn_out_cnt": 0,
  "internal_txn_in_value": null,
  "internal_txn_out_value": null,
  "erc20_transfer_in_cnt": 13,
  "erc721_transfer_in_cnt": 13,
  "erc1155_transfer_in_cnt": 3,
  "erc20_transfer_out_cnt": 9,
  "erc721_transfer_out_cnt": 1,
  "erc1155_transfer_out_cnt": 1,
  "internal_txn_cnt": 0,
  "erc20_transfer_cnt": 22,
  "erc721_transfer_cnt": 14,
  "erc1155_transfer_cnt": 4,
  "txn_cnt": 48
}
```

```csv
0x2821023289920dd815ca1f5adb0a33328afb3bfe,2023-10-25,4,44,0,0,1,0,45655000000001070,49278943858313640,0,0,,,13,13,3,9,1,1,0,22,14,4,48
```

## Model in the Database

| Column Name                 | Data Type   | Note |
| --------------------------- | ----------- | ---- |
| address                     | bytea       |      |
| block\_date                 | date        |      |
| txn\_in\_cnt                | integer     |      |
| txn\_out\_cnt               | integer     |      |
| txn\_self\_cnt              | integer     |      |
| txn\_in\_error\_cnt         | integer     |      |
| txn\_out\_error\_cnt        | integer     |      |
| txn\_self\_error\_cnt       | integer     |      |
| txn\_in\_value              | numeric(78) |      |
| txn\_out\_value             | numeric(78) |      |
| internal\_txn\_in\_cnt      | integer     |      |
| internal\_txn\_out\_cnt     | integer     |      |
| internal\_txn\_in\_value    | numeric(78) |      |
| internal\_txn\_out\_value   | numeric(78) |      |
| erc20\_transfer\_in\_cnt    | integer     |      |
| erc721\_transfer\_in\_cnt   | integer     |      |
| erc1155\_transfer\_in\_cnt  | integer     |      |
| erc20\_transfer\_out\_cnt   | integer     |      |
| erc721\_transfer\_out\_cnt  | integer     |      |
| erc1155\_transfer\_out\_cnt | integer     |      |
| internal\_txn\_cnt          | integer     |      |
| erc20\_transfer\_cnt        | integer     |      |
| erc721\_transfer\_cnt       | integer     |      |
| erc1155\_transfer\_cnt      | integer     |      |
| txn\_cnt                    | integer     |      |

```json
{
  "address": "\\x2821023289920dd815ca1f5adb0a33328afb3bfe",
  "block_date": "2023-10-25",
  "txn_in_cnt": 4,
  "txn_out_cnt": 44,
  "txn_self_cnt": 0,
  "txn_in_error_cnt": 0,
  "txn_out_error_cnt": 1,
  "txn_self_error_cnt": 0,
  "txn_in_value": 45655000000001070,
  "txn_out_value": 49278943858313640,
  "internal_txn_in_cnt": 0,
  "internal_txn_out_cnt": 0,
  "internal_txn_in_value": null,
  "internal_txn_out_value": null,
  "erc20_transfer_in_cnt": 13,
  "erc721_transfer_in_cnt": 13,
  "erc1155_transfer_in_cnt": 3,
  "erc20_transfer_out_cnt": 9,
  "erc721_transfer_out_cnt": 1,
  "erc1155_transfer_out_cnt": 1,
  "internal_txn_cnt": 0,
  "erc20_transfer_cnt": 22,
  "erc721_transfer_cnt": 14,
  "erc1155_transfer_cnt": 4,
  "txn_cnt": 48
}

```

```csv
\\x2821023289920dd815ca1f5adb0a33328afb3bfe,2023-10-25,4,44,0,0,1,0,45655000000001070,49278943858313640,0,0,,,13,13,3,9,1,1,0,22,14,4,48
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.thehemera.com/hemera-indexer/data-class/generated-tables/daily-wallet-address-stats.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
